package com.keao.edu.user.dto;

import io.swagger.annotations.ApiModelProperty;

public class ExamRoomListDto{

    @ApiModelProperty(value = "考试名称")
    private String examName;

    @ApiModelProperty(value = "结束时间")
    private String examEndTime;

    @ApiModelProperty(value = "开始时间")
    private String examStartTime;

    @ApiModelProperty(value = "教室编号")
    private Long examRoomId;

    @ApiModelProperty(value = "专业")
    private String subjectNameList;

    @ApiModelProperty(value = "考生人数")
    private Integer studentNum;

    @ApiModelProperty(value = "主考老师")
    private  String mainTeacherUserName;

    @ApiModelProperty(value = "主考老师编号")
    private String getMainTeacherUserId;

    @ApiModelProperty(value = "助教老师")
    private String assistantTeacherUserIdList;

    @ApiModelProperty(value = "助教老师编号")
    private String assistantTeacherUserNameList;

    @ApiModelProperty(value = "考试状态")
    private String examBaseStatus;

    @ApiModelProperty(value = "考场状态")
    private Integer openFlag;

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(String examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(String examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamRoomId() {
        return examRoomId;
    }

    public void setExamRoomId(Long examRoomId) {
        this.examRoomId = examRoomId;
    }

    public String getSubjectNameList() {
        return subjectNameList;
    }

    public void setSubjectNameList(String subjectNameList) {
        this.subjectNameList = subjectNameList;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public String getMainTeacherUserName() {
        return mainTeacherUserName;
    }

    public void setMainTeacherUserName(String mainTeacherUserName) {
        this.mainTeacherUserName = mainTeacherUserName;
    }

    public String getGetMainTeacherUserId() {
        return getMainTeacherUserId;
    }

    public void setGetMainTeacherUserId(String getMainTeacherUserId) {
        this.getMainTeacherUserId = getMainTeacherUserId;
    }

    public String getAssistantTeacherUserIdList() {
        return assistantTeacherUserIdList;
    }

    public void setAssistantTeacherUserIdList(String assistantTeacherUserIdList) {
        this.assistantTeacherUserIdList = assistantTeacherUserIdList;
    }

    public String getAssistantTeacherUserNameList() {
        return assistantTeacherUserNameList;
    }

    public void setAssistantTeacherUserNameList(String assistantTeacherUserNameList) {
        this.assistantTeacherUserNameList = assistantTeacherUserNameList;
    }

    public String getExamBaseStatus() {
        return examBaseStatus;
    }

    public void setExamBaseStatus(String examBaseStatus) {
        this.examBaseStatus = examBaseStatus;
    }

    public Integer getOpenFlag() {
        return openFlag;
    }

    public void setOpenFlag(Integer openFlag) {
        this.openFlag = openFlag;
    }
}
